## ros-melodic-cob-moveit-interface 0.7.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_moveit_interface)

find_package(catkin REQUIRED COMPONENTS)

catkin_python_setup()

catkin_package()

install(PROGRAMS scripts/load_scene_example.py scripts/move_group_example.py scripts/reactive_planning_example.py
  DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}/scripts
)

=== debian/changelog ===
ros-melodic-cob-moveit-interface (0.7.5-1stretch) stretch; urgency=high

  * Merge pull request #148 <https://github.com/ipa320/cob_manipulation/issues/148> from fmessmer/test_noetic
    test noetic
  * ROS_PYTHON_VERSION conditional dependency
  * use setuptools instead of distutils
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 02 Dec 2020 23:00:00 -0000

ros-melodic-cob-moveit-interface (0.7.4-1stretch) stretch; urgency=high

  * Merge pull request #145 <https://github.com/ipa320/cob_manipulation/issues/145> from fmessmer/feature/python3_compatibility
    [ci_updates] pylint + Python3 compatibility
  * Use six.moves.input for all uses of raw_input/input
  * fix pylint errors
  * python3 compatibility via 2to3
  * Contributors: Felix Messmer, Loy van Beek, fmessmer

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-moveit-interface (0.7.3-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 03 Dec 2019 23:00:00 -0000

ros-melodic-cob-moveit-interface (0.7.2-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-cob-moveit-interface (0.7.1-1stretch) stretch; urgency=high

  * Merge pull request #134 <https://github.com/ipa320/cob_manipulation/issues/134> from ipa320/kinetic_release_candidate
    Kinetic release candidate
  * Merge pull request #132 <https://github.com/ipa320/cob_manipulation/issues/132> from ipa-fxm/kinetic_dev
    [kinetic] updates from indigo_dev
  * Merge branch 'indigo_dev' of github.com:ipa320/cob_manipulation into kinetic_dev
    Conflicts:
    .travis.yml
    cob_kinematics/ikfast/src/ikfast_lbr.cpp
    cob_kinematics/ikfast/src/ikfast_ur10.cpp
    cob_kinematics/ikfast/src/ikfast_ur5.cpp
    cob_kinematics/package.xml
    cob_kinematics/ros/bin/genikfast.py
    cob_kinematics/ros/src/ikfast_plugin.cpp
    cob_kinematics/ros/src/urdf_openrave.cpp
  * Merge pull request #124 <https://github.com/ipa320/cob_manipulation/issues/124> from ipa-fxm/update_maintainer
    update maintainer
  * update maintainer
  * Merge pull request #120 <https://github.com/ipa320/cob_manipulation/issues/120> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, Richard Bormann, ipa-fxm, ipa-uhr-mk

 -- Felix Messmer <fxm@ipa.fhg.de>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-moveit-interface (0.7.0-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-melodic-cob-moveit-interface (0.6.5-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Jul 2017 22:00:00 -0000

ros-melodic-cob-moveit-interface (0.6.4-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-moveit-interface (0.6.3-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Sun, 30 Aug 2015 22:00:00 -0000

ros-melodic-cob-moveit-interface (0.6.2-1stretch) stretch; urgency=high

  * migration to package format 2
  * remove trailing whitespaces
  * remove obsolete autogenerated mainpage.dox files
  * sort dependencies
  * review dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Fri, 28 Aug 2015 22:00:00 -0000

ros-melodic-cob-moveit-interface (0.6.1-1stretch) stretch; urgency=high

  * fixes, hacks and helpers for cob4-pick-place
  * Contributors: ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-moveit-interface (0.6.0-1stretch) stretch; urgency=high

  * 0.5.1
  * add changelogs
  * Contributors: Florian Weisshardt

 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 17 Sep 2014 22:00:00 -0000

ros-melodic-cob-moveit-interface (0.5.2-1stretch) stretch; urgency=high



 -- Felix Messmer <fxm@ipa.fhg.de>  Wed, 27 Aug 2014 22:00:00 -0000

ros-melodic-cob-moveit-interface (0.5.1-1stretch) stretch; urgency=high

  * beautify install tags and correct PYTHON_DESTINATION
  * install tags
  * catkin_lint and install tags
  * add changelogs
  * backup from cob3-3
  * next try
  * next try
  * next try
  * update package.xml
  * catkinized
  * minor changes
  * example for reactive planning
  * backup
  * adding clear_attached_object function
  * added file for testing simple_moveit_interface
  * clear objects attached to arm_7_link
  * merge
  * introducing cob_moveit_interface, making cob_object_handler obsolete
  * Contributors: Florian Weisshardt, Jan Fischer, ipa-fxm

 -- Felix Messmer <fxm@ipa.fhg.de>  Tue, 25 Mar 2014 23:00:00 -0000

=== debian/control ===
Source: ros-melodic-cob-moveit-interface
Section: misc
Priority: optional
Maintainer: Felix Messmer <fxm@ipa.fhg.de>
Build-Depends: debhelper (>= 9.0.0), python-setuptools, ros-melodic-catkin
Homepage: http://ros.org/wiki/cob_manipulation/
Standards-Version: 3.9.2

Package: ros-melodic-cob-moveit-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-six, ros-melodic-cob-script-server, ros-melodic-geometry-msgs, ros-melodic-moveit-commander, ros-melodic-rospy, ros-melodic-tf
Description: cob_moveit_interface

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-moveit-interface//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
